gnutls_pkcs11_copy_x509_privkey(3)

NAME
gnutls_pkcs11_copy_x509_privkey - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_copy_x509_privkey(const char * token_url, gnutls_x509_privkey_t key, const char * label, unsigned int key_usage, unsigned int flags);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

gnutls_x509_privkey_t key
    A private key

const char * label
    A name to be used for the stored data

unsigned int key_usage
    One of GNUTLS_KEY_*

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will copy a private key into a PKCS 11 token specified by a URL. It is highly recommended flags to contain GNUTLS_PKCS11_OBJ_FLAG_MARK_SENSITIVE unless there is a strong reason not to.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.